@import url("../css/main.css");

h2 {
	font-size: 27px;
}

#register {
	background-color: var(--pseudo-white);
    width: 621px;
    height: 100vh;

    position: absolute;
    left: -621px;
    z-index: 5;
    transition: left 0.8s cubic-bezier(.09,.21,.38,.88), width 0.5s ease;
}

#logo {
	width: 300px;
}

#form_register {
    padding-top: 25%
}

.form-control-lg {
    font-size: 0.91rem;
    height: 3.1rem;

    border: 1px solid #8c8f92;
    border-radius: 8px;
}

.password_field {
    display: flex;
    position: relative;
}
.password_field input {
    transition: all 0.3s;
}

.conf {
    transition: all 0.3s;
}

.conf.weak {
    border-color: var(--weak-color);
    box-shadow: inset 0 0 3px var(--weak-color);
}

.password_field input.weak:focus {
    border-color: var(--weak-color);
    box-shadow: inset 0 0 3px var(--weak-color);
}

.password_field input.strong:focus {
    border-color: var(--strong-color);
    box-shadow: inset 0 0 3px var(--strong-color);
}



.show_hide {
    position: absolute;
    right: -30px;
    top: 46%;
    transform: translateY(-50%);
    font-size: 15px;
    cursor: pointer;
}

.text{
    font-size: 12px;
    font-weight: 500;
    display: none;
    margin-bottom: -10px;
}
.text.weak {
    color: var(--weak-color);
}
.text.strong {
    color: var(--strong-color);
}

.conf_text.weak{
    font-size: 12px;
    font-weight: 500;
    display: none;
    margin-bottom: -10px;
    color: var(--weak-color);
}

.register_checkbox {
	display: inline-block;
	padding: .375rem .75rem;
	font-size: 1rem;
	font-weight: 400;
	line-height: 1.5;
	color: #495057;
	background-color: #fff;
	background-clip: padding-box;
	border: 1px solid #ced4da;
	border-radius: .25rem;
	transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
	margin-right: 5px;
}

.register_div_checkbox {
	display: block;
	width: 100%;
	/*height: calc(1.5em + .75rem + 2px);*/
}



#register_go_back {
	font-size: 30px;
	border-radius: .25rem;
    color: var(--disabled-grey);
    transition: color .15s ease-in-out, color .15s ease-in-out;

	position: absolute;
	bottom: 16px;
	left: 26px; 
}

#register_go_back:hover {
    color: var(--base-between-1-and-2);
}

#register_submit {
    border: none;
	background-color: var(--base-between-1-and-2);
	transition: background-color 0.5s ease;
}

#register_submit:disabled,
#register_submit[disabled]{
	background-color: var(--disabled-grey);
	transition: background-color 0.5s ease;
}

#progress_bar {
    height: 7px;
    background-color: var(--pseudo-white);
    position: absolute;
    bottom: 0px
}

#progress {
    height: 100%;
    width: 0%;
    background-color: var(--base-between-1-and-2);
    transition: width 0.5s ease;
}

#div_wbplaner_1 {
	background-color: var(--pseudo-white);
	border-radius: var(--default-border-radius);

    width: 500px;
    height: 220px;
	padding: 35px;

	left: calc(50%);
	top: 50vh;
    transform: translate(-50%, -50%);
    position: absolute;
    transition: left 1.5s cubic-bezier(.09,.21,.38,.88), width 0.5s ease;
    z-index: 2;
}

#about_us_dots {
    transform: translate(-50%, 0%);
    position: absolute;
    bottom: 7px;
    left: 50%;
    z-index: 3;
  }

.dot {
    height: 8px;
    width: 8px;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
  }
  .dot.selected {
    background-color: #717171;
  }

@media only screen and (max-height: 900px) {
    #form_register {
        padding-top: 10%;
    }
}

@media only screen and (max-height: 700px) {
    #form_register {
        padding-top: 0%;
    }
}


@media only screen and (max-width: 1050px) {
    #register {
        width: 500px;
    }
}

@media only screen and (max-width: 900px) {
    #logo {
        width: 270px;
    }
}

